Bug 1469903 - [Docs][RFE][OpsTools] Configure fluentd logging filters.
[Docs][RFE][OpsTools] Configure fluentd logging filters.
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
medium Severity unspecified
: ga
: 12.0 (Pike)
Assigned To: Martin Lopes
Deepti Navale
: Documentation, FutureFeature, Triaged
Depends On: 1431767
  Show dependency treegraph
Reported: 2017-07-12 00:26 EDT by Martin Lopes
Modified: 2017-12-14 20:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-14 20:53:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Lopes 2017-07-12 00:26:36 EDT
The optools guide [1] already covers these topics:
* Describe how to enable the fluentd logging system.
* Describe how to enable TLS/SSL for log transmission.

However, this is a new requirement:
* Describe how to filter log contents using LoggingDefaultFilters.

For more information, see https://github.com/openstack/tripleo-heat-templates/blob/master/puppet/services/logging/fluentd-client.yaml

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html-single/monitoring_tools_configuration_guide/
Comment 1 Lucy Bopf 2017-08-07 22:24:26 EDT
Assigning to Martin for review.
Comment 11 Martin Lopes 2017-11-21 23:13:01 EST
Adding needinfo for peer review.
Comment 12 Deepti Navale 2017-11-22 01:08:53 EST
One little comment added to the merge request. LGTM.

Note You need to log in before you can comment on or make changes to this bug.